# vim: set sw=4 ts=4 et:

%bcond_with internal_x264

%define _libexecdir %{_prefix}/lib

%define suseversion  %(echo "openSUSE Linux `echo "scale=1; 0%{?suse_version}/100" | bc 2>/dev/null || echo UNKNOWN` (%{_build_cpu})")

%define revision 34327

%define x264_rev 20111107

Name:           MPlayer
Version:        1.0rc4_r%{revision}
Release:        7.4
License:        GNU General Public License version 2 (GPL v2)
Summary:        Multimedia Player
Summary(de):    Multimedia-Abspielprogramm
Url:            http://www.mplayerhq.hu
Group:          Productivity/Multimedia/Video/Players
## Source0:	http://www1.mplayerhq.hu/MPlayer/releases/MPlayer-%{version}.tar.bz2
# svn://svn.mplayerhq.hu/mplayer/trunk
Source0:        MPlayer-%{version}.tar.bz2
Source1:        http://www1.mplayerhq.hu/MPlayer/skins/Blue-1.7.tar.bz2
Source2:        http://www1.mplayerhq.hu/MPlayer/skins/Clearlooks-1.2.tar.bz2
## git://git.videolan.org/ffmpeg.git
Source10:       ffmpeg-5955c63c36e9b822f1186cd45a8dec5056b9c575.tar.bz2
Source11:       ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{x264_rev}-2245.tar.bz2
Source100:      MPlayer-rpmlintrc
Patch0:         MPlayer-decl.patch
Patch1:         MPlayer-1.0rc4-warn.patch
Patch3:         MPlayer-pci_linux_gnu_source.patch
Patch4:         MPlayer-amd64-detection.patch
Patch5:         bug490-demux_lavf.patch
Patch6:         MPlayer-config.patch
Patch11:        MPlayer-pa-volume-fix.patch
Patch12:        MPlayer-disable_subrip.patch
Patch13:        MPlayer-fix_win32_pointer_casts.patch
Patch14:        MPlayer-x264_pkgconfig.patch
Patch20:        MPlayer-svn_version.patch
Patch30:        ffmpeg-fix_sequence-point.patch
BuildRequires:  DirectFB-devel
BuildRequires:  SDL-devel
BuildRequires:  aalib-devel
BuildRequires:  bc
BuildRequires:  bs2b-devel
BuildRequires:  cdparanoia-devel
BuildRequires:  coreutils
BuildRequires:  enca-devel
BuildRequires:  fribidi-devel
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  giflib-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  ladspa-devel
BuildRequires:  liba52-devel
BuildRequires:  libbluray-devel
BuildRequires:  libcaca-devel
BuildRequires:  libcrystalhd-devel
BuildRequires:  libdca-devel
BuildRequires:  libdirac-devel
BuildRequires:  libdv-devel
BuildRequires:  libdvdcss-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  libfaac-devel
BuildRequires:  libfaad-devel
BuildRequires:  libjack-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmng-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libmpg123-devel
BuildRequires:  libopencore-amr-devel
BuildRequires:  libpng-devel
BuildRequires:  libpulse-devel
BuildRequires:  librtmp-devel
BuildRequires:  schroedinger-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvdpau-devel
BuildRequires:  libvpx-devel >= 0.9.6
BuildRequires:  libvstream-client-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  lirc-devel
BuildRequires:  live-devel
BuildRequires:  lzo-devel
BuildRequires:  pkg-config
BuildRequires:  speex-devel
BuildRequires:  twolame-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  yasm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

# for TOOLS:
BuildRequires:  ncurses-devel
BuildRequires:  update-desktop-files

%if !%{with internal_x264}
BuildRequires:  libx264-devel >= 0.118
%endif

Recommends:     gmplayer = %{version}
Provides:       mplayer = %{version}
Provides:       mencoder = %{version}
Conflicts:      MPlayer-unstable
Conflicts:      mplayer-unstable

%description
MPlayer plays most MPEG/VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV, QT/MOV/MP4,
RealMedia, Matroska, NuppelVideo, FLI, YUV4MPEG, FILM, RoQ, PVA files,
supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD,
SVCD, DVD, 3ivx, DivX 3/4/5 and even WMV movies..

Note that the GUI frontend "gmplayer" is not part of this package.
Instead, you must also install the package "gmplayer".

%package -n gmplayer
Summary:        GUI Frontend for the %{name} Multimedia Player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}
Provides:       mplayer-gui = %{version}
Provides:       %{name}-gui = %{version}

%description -n gmplayer
MPlayer plays most MPEG/VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV, QT/MOV/MP4,
RealMedia, Matroska, NuppelVideo, FLI, YUV4MPEG, FILM, RoQ, PVA files,
supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD,
SVCD, DVD, 3ivx, DivX 3/4/5 and even WMV movies..

This subpackage contains the GUI frontend "gmplayer".

%package doc
Summary:        Multimedia Player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}

%description doc
MPlayer plays most MPEG/VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV, QT/MOV/MP4,
RealMedia, Matroska, NuppelVideo, FLI, YUV4MPEG, FILM, RoQ, PVA files,
supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD,
SVCD, DVD, 3ivx, DivX 3/4/5 and even WMV movies..

This subpackage contains technical documentation about codecs, formats,
and MPlayer implementation details.

%prep
%if %{with internal_x264}
%setup -q -a 1 -a 2 -a 10 -a 11
%else
%setup -q -a 1 -a 2 -a 10
%endif
%patch0
### fix me! ###
%if 0%{?suse_version} >= 1110
%patch1 -F2
%else
%patch1
%endif
%patch3
%patch4
%patch5
%patch6
%if 0%{?revision} < 30000
%patch11
%endif
%patch12
%patch13
%if %{with internal_x264}
%patch14
%endif
# only apply if packaging an SVN snapshot:
%if 0%{?revision}
%patch20
%endif

# ffmpeg patches:
pushd ffmpeg
%if 0%{?suse_version} < 1120
%patch30
%endif
popd #ffmpeg

%if %{with internal_x264}
ln -s "x264-snapshot-%{x264_rev}-2245" x264
%endif

%build
%if %{with internal_x264}
X264_INST="$PWD/x264_inst"
pushd x264
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" x264.c
CFLAGS="%{optflags}" CCFLAGS="%{optflags}" \
./configure --prefix="$X264_INST" --libdir="$X264_INST/lib" --disable-shared --enable-static --enable-pic
make %{?_smp_flags}
install -d "$X264_INST"
make install
popd #x264

export PKG_CONFIG_PATH="$X264_INST/lib/pkgconfig:$PKG_CONFIG_PATH"
%endif

%if 0%{?revision}
sed -i 's|@@SVN_REVISION@@|%{revision}|g;s|@@SUSE_VERSION@@|%{suseversion}-Packman|g' ./version.sh
%else
gawk '{gsub ("%{version}-","%{version}-%{suseversion}-Packman-"); print $0}' <version.sh >version.sh.patched
mv version.sh.patched version.sh
%endif

sed -i 's|-O4|%{optflags}|g' configure

./configure \
 --enable-debug \
 --prefix="%{_prefix}" \
 --confdir="%{_sysconfdir}/mplayer" \
 --datadir="%{_datadir}/mplayer" \
 --libdir="%{_libdir}" \
 --mandir="%{_mandir}" \
 --disable-libdvdcss-internal \
%ifarch %ix86 x86_64
 --enable-runtime-cpudetection \
%endif
 --enable-bl --enable-fbdev \
 --enable-gui --enable-menu --language=all \
 --enable-xvmc --with-xvmclib=XvMCW \
 --enable-smb --enable-joystick \
 --enable-radio --enable-radio-capture \
 --enable-dvdnav \
 --disable-nemesi \
 --disable-wii \
 --enable-faad \
%if 0%{?suse_version} > 1140
 --disable-tv-v4l1 \
 --enable-v4l2 \
 --disable-zr \
%else
 --enable-zr \
%endif
%ifarch %ix86
 --enable-qtx \
%else
 --disable-qtx \
%endif
 --disable-arts \
 --disable-esd \
2>&1 | tee conflog

#
# Make sure that certain features have been properly detected
# and enabled by ./configure, by grepping patterns from the
# ./configure output (tee'd in ./conflog)
#
missing=""
for tag in \
    GUI \
    x264 \
    'OggTheora support' \
    '.*libdvdnav.*' \
    Xv \
    XvMC \
    Xinerama \
    VIDIX \
    SDL \
    OpenGL \
    'OSS Audio' \
    JACK \
    'ALSA audio' \
    'VCD support' \
    'Blu-ray support' \
    dvdread \
    cdparanoia \
    Xvid \
    Twolame \
    'SSA/ASS support' \
    ENCA \
    'vstream client' \
    libdirac \
    libschroedinger \
    pulse \
    VDPAU \
    'mpg123 support' \
    RTMPDump'.*' \
    'OggVorbis support' \
    'mp3lib support' \
    'libdca support' \
    'FAAC support' \
    'FAAD2 support' \
    'LADSPA plugin support' \
%ifarch %ix86
    'Win32 codecs' \
%endif
    'XAnim codecs' \
    'RealPlayer codecs' \
    LIVE555'.*' \
    FFmpeg \
    libopencore_amr'.*' \
    libdv'.*' \
    libmp3lame \
    mencoder \
    'UnRAR executable' \
    ftp \
    'DVD support.*' \
    'liba52 support' \
    'libbs2b.*' \
    libvpx \
    CrystalHD \
; do
    grep -E "^Checking for ${tag} \.\.\. yes" conflog || missing="$missing $tag"
done

missing="${missing% }"
if [ -n "$missing" ]; then
   echo "ERROR: missing support for the following: $missing" >&2
   echo "-------------------------------------------------------------------" >&2
   cat conflog >&2
   echo "-------------------------------------------------------------------" >&2
   exit 1
fi

for tag in \
    'internal libdvdcss' \
%ifarch x86_64
    'Win32 codecs' \
%endif
; do
    grep -E "^Checking for ${tag} \.\.\. no" conflog || shouldbemissing="$shouldbemissing $tag"
done
shouldbemissing="${shouldbemissing% }"
if [ -n "$shouldbemissing" ]; then
   echo "ERROR: support for the following is enabled while it shouldn't be: $shouldbemissing" >&2
   echo "-------------------------------------------------------------------" >&2
   cat conflog >&2
   echo "-------------------------------------------------------------------" >&2
   exit 1
fi

# see http://lists.mplayerhq.hu/pipermail/mplayer-dev-eng/2008-March/056913.html
%ifarch %ix86
sed -i 's|^\(QTX_EMULATION *= *\).*$|\1yes|' config.mak
%endif

chmod 0755 ./version.sh
make version.h
make %{?_smp_mflags} V=1

make %{?_smp_mflags} tools

%install
%makeinstall MANDIR="%{buildroot}%{_mandir}" INSTALLSTRIP=""

# skin
install -m 755 -d "%{buildroot}%{_datadir}/mplayer/skins"
cp -r Blue "%{buildroot}%{_datadir}/mplayer/skins/default"
cp -r Clearlooks "%{buildroot}%{_datadir}/mplayer/skins/"

# configs
install -m 644 etc/example.conf "%{buildroot}%{_sysconfdir}/mplayer/mplayer.conf"
echo "fontconfig=yes" >>  "%{buildroot}%{_sysconfdir}/mplayer/mplayer.conf"
install -m 644 etc/input.conf "%{buildroot}%{_sysconfdir}/mplayer/"
install -m 644 etc/menu.conf "%{buildroot}%{_sysconfdir}/mplayer/"

# mencvcd
install -m 755 TOOLS/mencvcd.sh "%{buildroot}%{_bindir}/mencvcd"

# TOOLS
pushd TOOLS
rm -f \
    alaw-gen alaw-gen.c \
    binary_codecs.sh \
    bmovl-test bmovl-test.c \
    calcbpp.pl \
    checktree.sh \
    compare compare.c \
    fastmemcpybench fastmemcpybench.c \
    modify_reg.c \
    mphelp_check.py \
    plotpsnr.pl \
    vfw2menc.c
popd #TOOLS

install -d "%{buildroot}%{_libexecdir}/mplayer"
for f in TOOLS/*; do
    if [ -f "$f" -a -x "$f" ]; then
        mv "$f" "%{buildroot}%{_libexecdir}/mplayer/" \
        && ln -s "%{_libexecdir}/mplayer/${f##*/}" TOOLS/
    fi
done

rm -rf DOCS/man DOCS/xml

MANPAGES="$PWD/manpages.lst"
GMANPAGES="$PWD/gmanpages.lst"
echo -n > "$MANPAGES"
echo -n > "$GMANPAGES"
pushd "%{buildroot}%{_mandir}"
for f in */man?/*; do
    lang=${f%%/*}
    case $f in
        *gmplayer*) MPFILE="$GMANPAGES" ;;
        *) MPFILE="$MANPAGES" ;;
    esac
    echo "%doc %lang(${lang}) %{_mandir}/${f}*" >>"$MPFILE"
done
popd

%suse_update_desktop_file -n -r mplayer AudioVideo Player

echo -n >docfiles.lst
install -d "%{buildroot}%{_docdir}/%{name}"
for x in TOOLS README AUTHORS Changelog; do
    cp -a "$x" "%{buildroot}%{_docdir}/%{name}/"
    echo "%doc %{_docdir}/%{name}/${x}" >>docfiles.lst
done

cp -a DOCS/tech "%{buildroot}%{_docdir}/%{name}/"

cat manpages.lst docfiles.lst > mainpackagefiles.lst

%files -f mainpackagefiles.lst
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%dir %{_sysconfdir}/mplayer
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/mplayer.conf
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/input.conf
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/menu.conf
%doc %{_mandir}/man1/mplayer.1%{ext_man}
%doc %{_mandir}/man1/mencoder.1%{ext_man}
%{_bindir}/mplayer
%{_bindir}/mencoder
%{_bindir}/mencvcd
%dir %{_datadir}/mplayer
%{_libexecdir}/mplayer
%lang(cs) %doc %dir %{_mandir}/cs
%lang(cs) %doc %dir %{_mandir}/cs/man1
%lang(hu) %doc %dir %{_mandir}/hu
%lang(hu) %doc %dir %{_mandir}/hu/man1
%lang(pl) %doc %dir %{_mandir}/pl
%lang(pl) %doc %dir %{_mandir}/pl/man1
%lang(ru) %doc %dir %{_mandir}/ru
%lang(ru) %doc %dir %{_mandir}/ru/man1
%lang(zh_CN) %doc %dir %{_mandir}/zh_CN
%lang(zh_CN) %doc %dir %{_mandir}/zh_CN/man1

%files -n gmplayer -f gmanpages.lst
%defattr(-, root, root)
%{_bindir}/gmplayer
%{_datadir}/mplayer/skins/
%{_datadir}/applications/mplayer.desktop
%{_datadir}/pixmaps/mplayer.png

%files doc
%defattr(-, root, root)
%doc %{_docdir}/%{name}/tech

%changelog
* Thu Nov 17 2011 reddwarf@opensuse.org
- Don't force vdpau through the config file, makes video playback
  fail in some systems
* Tue Nov  8 2011 pascal.bleser@opensuse.org
- update MPlayer to r34327
- update in-tree ffmpeg to 5955c63c36e9b822f1186cd45a8dec5056b9c575
- update in-tree x264 to 20111107
* Sun Oct 30 2011 pascal.bleser@opensuse.org
- update MPlayer to r34277
- update in-tree ffmpeg to 49aa397414eb4dbe5da292fcdb8a6084f71ae949
- update in-tree x264 to 20111029
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- add patch to fix sequence point warning with gcc on openSUSE < 11.2
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- update to r34240
- update in-tree ffmpeg to 4a5ea9e0ce0628b4498c013084ce9e7006ba93fb
- use in-tree x264 (x264-snapshot-20111022-2245) as it requires the latest
  version and in order to avoid side-effects on a ton of other packages
* Sun Oct  2 2011 pascal.bleser@opensuse.org
- add missing transitive dependency linux-glibc-devel, caused
  build to fail on factory
- disable zr backend on Factory, as it requires v4l v1 headers,
  which have been dropped from the kernel that ships with
  Factory (12.1)
* Fri Aug 26 2011 pascal.bleser@opensuse.org
- update to 34016
* Sun Jun 12 2011 pascal.bleser@opensuse.org
- update to 33574:
  * fix segmentation fault when pressing U (stop playing) in GUI
  * a GUI related option which corresponds to a MPlayer option '-optname' will
    be named '-gui-optname' now
  * rename option '-guiwid' '-gui-wid'
  * add option '-gui-include'
  * constrain libcdparanoia's caching which badly breaks playback with -nocache
  * improve seeking for files where start_time is not (properly) set
  * setup default speex modes, allows decoding of speex in flv which does not
    contain a header packet
  * fix #1442: do not remove video filters: If a video filter option isn't set,
    it does not mean to remove the filter, but such option (if set) should only
    cause adding the filter (if not already present). That way filters can be
    specified in MPlayer's config or on the command line, too.
  * support Etymonix MPEG-2 I-frame Video Codec
  * Command Line Options: Support FFmpeg per-codec AVOptions: this change
    extends the existing support for arbitrary FFmpeg options to also include
    per-codec AVOptions.  You can now pass per-codec options in the same way as
    global options are passed: mplayer -lavdopts o=<option>
  * increase the maximum value of the DVB timeout to 240 seconds: some devices
    may need more time for the initial tune (e.g. firmware loading).  Let the
    user specify higher timeout value if there is need to. The default remains
    30 seconds.
  * fix #574: instead of exit_player(), exit with appropriate return code
  * support up to 20 mouse buttons, there really seem to be input devices with
    at least 12
  * fix bug introduced in r25726 that would cause us to write uninitialized
    data into buffer
  * support displaying of 9- and 10-bit pixel formats, as used by v210 and H264
  * support playback for more ffv1 pixel formats
  * support S302M (with -demuxer lavf)
  * support S302M in the native ts demuxer
  * support FFmpeg r10k decoder
  * support Digital Voodoo SD 8 Bit (DVOO)
  * add MNG output support
  * stream dump: print progress information
  * allow directory selection with middle mouse button (single click)
  * start playlist selection in same directory the file selector starts in
  * support 9- and 10-bit YUV input for OpenGL vos
  * fix clear/border color of chroma texture for 9- and 10-bit formats: avoids
    pink borders for those formats
  * workaround embedded ssa/ass never hiding with -noass
  * only accept regular files as .bin files for .cue files
  * remove a duplicated open() call that could lead to a file-descriptor leak
    in some cases
  * avoid possible crash if cue filename is very short
  * take notice of MPlayer option '-display': if option '-display' is given,
    initialize GTK in a way that the GUI will run on that display
  * change -udp-slave code to temporarily fall back to normal timing after 30s
    network timeout
- bump ffmpeg to d127d26997ff046a9f112643eebd1007590b4fa2
* Sun Apr 24 2011 pascal.bleser@opensuse.org
- update to 33321:
  * fix DVD angle cycling up
  * convert all manual pages to UTF-8
  * list GUI options in man page
  * support Canopus SD50
  * clip x/y offsets to avoid bad video placement
  * add -geometry support
  * -vc ffmpeg12mc is no longer necessary with -vo xvmc
  * mark ffmpeg12mc as deprecated
  * support -vo xvmc without having to specify the codec explicitly
  * add support for FFmpeg's Deluxe Paint Animation decoder
  * support RGB framebuffers
- bump in-tree ffmpeg to c2a8f125855aef72efcde8a06dd73a5fbe5dcf25
  * fix crash on flic files with invalid frame size
  * FLV muxing support
  * AMV: fix possibly exploitable crash
  * applehttp demuxer
  * Xiph CELT/Opus decoder using libcelt
  * Ogg: add support for Xiph's CELT (Opus) codec
* Sat Apr 16 2011 pascal.bleser@opensuse.org
- update to 33269:
  * avoid crash when pausing an audio-only file
  * geq works fine with shared FFmpeg, so do not require static builds for it
  * support decoding Kega Video (kgv1) with FFmpeg
* Tue Apr 12 2011 pascal.bleser@opensuse.org
- update to 33253
- bump in-tree to git rev c104a6e90226eaa253aeba471c8859e0da922da7
* Fri Apr  1 2011 pascal.bleser@opensuse.org
- bump in-tree ffmpeg to git rev 7b9750ed9b4d500e8f322a58a9cc2032eddc666b
- enable CrystalHD support (pulls in libcrystalhd)
- update to 33179:
  * r33164: Issue error message in case of an unknown skin item.
  * r33160: The comment character is safe now between (double) quotation marks.
    This simplifies handling in the font description file and allows it to be
    used in label texts.
  * r33154: Issue error message in case of wrong section name.
  * r33153: Don't start GUI in case of window name error.
  * r33148: Playlist option can't be used in a config file.
  * r33147: Add dummy shuffle and noshuffle options so they appear in
  - list-options.
  * r33131: Add condition that lets us switch FFmpeg XvMC decoder back from
    hwaccel to normal decoding.
  * r33128: Attempt to fix crashes with VDPAU and threads.
  * r33127: Fix XVMC decoding (avcodec_open would fail if thread_count is set)
    and simplify code a bit in the process.
  * r33126: LAVC: Warn when audio encoder requires an input format different
    from S16, it is not working correctly currently.
  * r33125: FFmpeg Bitmap Brothers JV decoder.
  * r33122: Add ugly hack to compensate DVDNAV's ugly hacks and fix seeking.
  * r33118: Do not do A-V sync correction if one of the pts values is bogus
    (NOPTS_VALUE) since that will actually cause desync.
  * r33112: Revise some GUI error message texts.
  * r33111: Show GUI message when GUI must exit.
  * r33107: Update key-fifo-size documentation, stuck keys should no longer be
    possible, for small buffers double-clicks should be disabled.
  * r33106: Allow mouse wheel to work with a key fifo size of 2.
  * r33104: Make "stuck keys" problem impossible by resetting the internal key
    state when our key fifo overflowed.
  * r33098: Support E-AC3 in deprecated native matroska demuxer.
  * r33096: VDPAU does not support colourspaces different from 4:2:0
  * r33095: Support CrystalHD decoding.
  * r33094: add xd55 isom for mpeg2 video from fcp
  * r33091: Correct VCD title menu: limit menu entries to number of titles
    available on the VCD
  * r33090: Correct next track button functionality for VCDs
  * r33089: Start vcd:// with first title when hitting play button
* Fri Mar 18 2011 pascal.bleser@opensuse.org
- update to 33083:
  * add a command line option -gamma
  * support 'lpcm' in mov files, has audible (clipping?) artefacts on some
    systems
  * support 32bit big endian float pcm in aiff
  * revert broken crystalhd check and replace by minimal bandaid compile fix
  * output ID_DVD_VOLUME_ID also for dvdnav://
  * Allow setting custom http header
* Sat Mar  5 2011 pascal.bleser@opensuse.org
- update to 33030:
  * add VP8 fourcc support
  * fix dnet decoding with -ac ffac3
  * fix -ac a52
- fix gmplayer upgrade error, a directory was replaced with a symbolic link in
  the package for 33025, which cpio cannot handle on upgrade
* Sat Mar  5 2011 pascal.bleser@opensuse.org
- update to 33025
- also include the Clearlooks skin ("default" skin directory is now a symlink)
- add libvpx support
* Mon Feb 28 2011 pascal.bleser@opensuse.org
- update to r32988
- disabled internal libdvdcss
- libmpcdec support is disabled, uses better support in ffmpeg
- add Blu-Ray support through libbluray
- add bs2b (Bauer stereophonic-to-binaural DSP) support
- add A52 decoding support through liba52dec
* Mon Jan  3 2011 pascal.bleser@opensuse.org
- update to r32749
- split gmplayer into its own subpackage
- enable libmpg123 support
- enable rtmpdump support
- enable mpcdec support
* Mon Nov  8 2010 pascal.bleser@opensuse.org
- update to r32603
* Thu Aug  5 2010 pascal.bleser@opensuse.org
- update to r31930
* Thu Mar 11 2010 detlef@links2linux.de
- fix BuildRequires (cdparanoia -> cdparanoia-devel)
* Wed Feb  3 2010 detlef@links2linux.de
- use libopencore_amr
* Wed Dec 23 2009 pascal.bleser@opensuse.org
- update to 30099 to fix ffvorbis
* Sat Dec  5 2009 pascal.bleser@opensuse.org
- add patch to fix volume at 100%%%% with pulseaudio, thanks to Johannes Engel
* Sat Oct 24 2009 pascal.bleser@opensuse.org
- build against libvdpau-devel instead of nvidia-vdpau-devel
* Tue Mar 31 2009 henne@links2linux.de
- update to revision 29116
- add future wmapro implementation from ffmpeg-soc repository.
  With this patch, binary codecs should not be necessary anymore.
  Kudos to Carl Eugen Hoyos.
* Wed Mar 11 2009 henne@links2linux.de
- Update to revision 28150
- get rid of german translation
- enable VDPAU
- some specfile cleanup
* Thu Oct  2 2008 henne@links2linux.de
- GHet rid of gcc4-altivec patch
- Patch real demuxer heap overflow CVE-2008-3827
- Get rid of <10.2 bits in the specfile, goodbye SUSE Linux
- dont require a ttffont package we are using fontconfig by default
- fixup buildrequires:
  * require libxvidcore-devel instead of xvid-devel
  * require external libdvdnav
  * no need for the devs package anymore
  * if we build live support we need gcc-c++
- we really do not need to turn everything and its dog on:
  * turned of musepack support, libavcodec can do most of that
  * never turn on wii vo, nobody requested this and there is even no
    wii port of opensuse
  * never turn on mad support, mp3lib can doo all that
  * dont turn on openal its experimental and no one uses it
- dont build libdvdnav and libdvdread in this spec, extra packages
- get rid of build conditionals to make specfile maintainable again
* Wed Sep 24 2008 guru@unixtech.be
- added patch that fixes an infinite loop while trying to parse the 'udta' tag
  of a number of different MP4 files: http://bugzilla.mplayerhq.hu/show_bug.cgi?id=1267
* Mon Sep 22 2008 guru@unixtech.be
- use proper subdir in tarballs (see mksrc.sh)
- fixed MPlayer version output
* Fri Sep 19 2008 guru@unixtech.be
- removed support for arts audio output: arts itself is broken and no one should
  be using it in the first place + it pulls in many dependencies (artsc, qt3, ...)
- disable qtx, broken
* Thu Sep 18 2008 guru@unixtech.be
- update to trunk r27636
- disable wii output plugin by default, it seems that it's being picked as the default
  output plugin on some systems; will investigate and re-enable later; can be enabled
  by rebuilding the src.rpm and passing --with wii
* Tue Sep 16 2008 guru@unixtech.be
- update to SVN snapshot r27626, as advised by MPlayer developers
- added Authors: with mailing-list address (documented as target for reporting bugs)
- still using in-tree libdvdread and libdvdnav forks of MPlayer, will promote them
  to standalone packages later on
- enable support for dirac/schroedinger codecs on openSUSE >= 10.2
* Sun Sep 14 2008 guru@unixtech.be
- added conflicts:mplayer-unstable, just in case we have an mplayer-unstable one day ;)
- use static in-tree libdvdread (MPlayer fork) version 4.1.3
- update static in-tree libdvdnav (MPlayer fork) to 4.1.3
- fix CPU detection on AMD64
- also enable runtime CPU detection for x86_64
* Thu Aug  7 2008 guru@unixtech.be
- fixed pulseaudio support on all distversions
* Wed Aug  6 2008 guru@unixtech.be
- added pulseaudio support
* Sun Aug  3 2008 guru@unixtech.be
- removed pointless files from DOCS (XML sources, duplicated man pages)
- added %%%%lang() flags on non-C man pages
- fixed support for x264
- added support for libdvdnav (using an in-tree static build of libdvdnav from mplayerhq)
- added support for wavepack, mad, openal, enca, libnut
- forced using an external faad lib
- added checking of enabled features to avoid accidental disabling due to missing dependencies
* Mon Jul 28 2008 guru@unixtech.be
- build without nemesi support, as it seems to be less featured than the native RTSP implementation in MPlayer
- fixed live support
* Fri Jul 11 2008 guru@unixtech.be
- added Provides for mplayer, mplayer-gui, MPlayer-gui, gmplayer and mencoder
- disabled stripping and added -debuginfo package
- added RTSP/RTP support through libnemesi
* Thu Jul 10 2008 guru@unixtech.be
- some spec file cleanups
- 'openSUSE Linux' instead of 'SUSE Linux' in suseversion macro
- added missing BuildRequires:libfaac-devel
* Tue Feb  5 2008 henne@links2linux.de
- fix buffer overflow in stream_cddb.c
- fix buffer overflow in demux_audio.c
- fix buffer overflow in url.c
- fix buffer overflow in demux_mov.c
- build against amr?b
- make fontconfig default
- fix some minor desktop file problems
* Mon Dec 31 2007 guru@unixtech.be
- added subfont.ttf link, see https://bugzilla.novell.com/show_bug.cgi?id=335471
- fixed URL for Blue skin
* Sun Dec 30 2007 detlef@links2linux.de
- rebuild with new libx264
* Wed Oct 10 2007 henne@links2linux.de
- upddate to rc2
- disable ivtv because its broken
- use the correct realplay codec directory
- get rid of upstreamed patches
* Sat Sep 22 2007 henne@links2linux.de
- re-enable xvmc with wrapper lib
- get rid of toolame in favour of twolame
* Mon Jul 23 2007 henne@links2linux.de
- enable v4l radio support
* Wed Jun  6 2007 henne@links2linux.de
- update to try3
- update blue skin to 1.7
- enable ivtv
- re-enable DirectFB for 10.2
* Tue Mar 20 2007 henne@links2linux.de
- fixed buffer overflow in DMO_VideoDecoder
* Tue Jan 16 2007 henne@links2linux.de
- update to 1.0rc1try2 which is a security release
  that fixes some overflows in asmrp.c
* Wed Nov  1 2006 leon@links2linux.de
- update the x264 release
* Wed Oct 25 2006 henne@links2linux.de
- update to 1.0rc1
- get rid of the bitmap fonts
- update the default skin (Blue 1.6)
- use and patch the upsream desktop file
- re-enable the tempfile-unrarlib patch
- re-enable the gcc4-altivec patch
- re-enable the cleanup patch
- re-enable the warn patch
- get rid of RealPlayer and xanim buildrequires. They are not needed anymore
- get rid of the mad buildrequires, use the internal mp3lib
- dont move mmx.h around anymore. Got fixed.
- dont build with -fno-strict-aliasing anymore
- use included example.conf
- update mencvcd (to the included one)
* Sat Aug 12 2006 detlef@links2linux.de
- fix MPlayer desktop
* Fri Aug 11 2006 detlef@links2linux.de
- build svn -> wmv9-support for x86_64 :)
* Sat Jul 29 2006 leon@links2linux.de
- build against a new x264 release (r48)
* Wed Jun 14 2006 henne@links2linux.de
- Update to version 1.0pre8
- build with fribidi and speex support
- build with caca support for 10.1
- get rid of -fno-unit-at-a-time in the optflags it just causes problems
- build with internal vidix drivers
- Get rid of the patches because they are upstream
  - MPlayer-1.0pre7-gcc4.patch
  - MPlayer-1.0pre7-gcc4-x86_64.patch
  - MPlayer-1.0pre7-pcm-overflow.patch
  - MPlayer-1.0pre7-tivo.patch
  - MPlayer-1.0pre7try3.patch
  - x264.diff
- Update patches match pre8
  - MPlayer-1.0pre8.patch
  - asm-fixes.diff
  - MPlayer-1.0pre7-gcc4-altivec.patch
* Wed Apr 26 2006 leon@links2linux.de
- bumped the release because of x264 update
- fixed some typos
* Tue Mar 28 2006 henne@links2linux.de
- Quite a lot of x86_64 fixes
- use runtime cpu detection only on x86
- some buildrequires fixes
* Wed Mar 22 2006 henne@links2linux.de
- disable vidix
- get rid of the xvmc unichrome patch. i dont build xvmc
- hopefully fix the try3 patch
- RealPlayer is only on ix86 as buildrequire
- add gcc4 altivec patch for ppc
* Sun Mar 19 2006 leon@links2linux.de
- Enabled x264 encoding support through x264 package
- Fixed some typos in the spec file
* Thu Mar  2 2006 henne@links2linux.de
- apply buffer overflow fix to libmpdemux/demuxer.h
- bump version to 1.0pre7try3
- i dont need a pm in Release anymore because the last
  suse version with mplayer got dropped recently
* Tue Feb 28 2006 henne@links2linux.de
- implement suseversion in the spec
- 10.1 needs lzo2 patches
- fix comparsion patch
- fix libsmbclient deps for 10.1
- reenable xvid because too much people complained
- package missing man pages
* Fri Aug 26 2005 henne@links2linux.de
- more fixes needed to make it compile with gcc 4.0.2
- add security patch for the buffer overflow reported on
  full disclosure
- add patch to make playback of tivo streams working again
* Tue May 24 2005 henne@links2linux.de
- add lirc again
* Wed Apr 20 2005 henne@links2linux.de
- update to version 1.0pre7
- change mplayer -v output to include distro, provider
- make package ready for gcc4
* Sat Apr  9 2005 henne@links2linux.de
- actually its now called libdca not libdts
* Fri Apr  1 2005 henne@links2linux.de
- build against libdts
* Fri Jan  7 2005 henne@links2linux.de
- add demuxer patch to avoid a crash while seeking
  in MPEG ES/PS files
- update our desktop file to match the offical one
- remove the official mplayer desktop file
- pass target right to x86_64
- lowercase conf and data directory
* Thu Jan  6 2005 henne@links2linux.de
- update to version 1.0pre6a
* Fri Dec 24 2004 henne@links2linux.de
- update to version 1.0pre6
- get rid of all patches most of them are upstream
- dont package codecs.conf anymore
* Mon Oct 18 2004 henne@links2linux.de
- disabled live. does not compile on 9.2 and nobody seems
  to use it anyway.
- added some patches for 9.2
* Thu Jul 15 2004 henne@links2linux.de
- update to version 1.0pre5
- change default skin to Blue
- add patch for dynamic arrays in older ditributions
* Thu Jun 10 2004 henne@links2linux.de
- incorporated manfreds ppc changes and translations
- disabled xvid and divx4linux usage. libavcodec can do that.
  Kudos to Diego Biurrun for pointing that out.
* Sun Jun  6 2004 henne@links2linux.de
- beautify .desktop file
* Wed Mar 31 2004 henne@links2linux.de
- add patch to fix remote buffer overflow
* Sun Jan 18 2004 henne@links2linux.de
- update to version 1.0pre3
- reenable divx
- build all languages
- use pm in release
* Sat Dec  6 2003 henne@links2linux.de
- build against the new xvid
* Wed Oct 15 2003 henne@links2linux.de
- fixed mp3lib problem with fno-strict-aliasing
- updated fonts
- cleaned patch namings
* Mon Oct 13 2003 henne@links2linux.de
- updated live libs
* Sun Sep 28 2003 henne@links2linux.de
- Updated to version 0.92
* Sun Aug 31 2003 henne@links2linux.de
- make use of --target
- removed libdvdcss2 dep
- reintroduced cpu runtime protection (to many bugreports)
* Wed Aug 13 2003 henne@links2linux.de
- updated to version 0.91
* Sat Aug  9 2003 henne@links2linux.de
- patched version
- skin subpackage moved to a seperate package
- removed dvdnav support (broken and not used anyway)
- updated mencvcd and moved to bindir
- added dvd2divxscript.pl to bindir
* Mon May 19 2003 henne@links2linux.de
- disable cpu runtime protection
* Sat Apr 12 2003 henne@links2linux.de
- cleaned Requires
- skin files list was borked. readded skin.files
- added 82 if around the dvdnav diff
* Wed Apr  9 2003 henne@links2linux.de
- updated to final version of 0.90
- updated skins and made it easier to package them
- updated live to 2003.04.09 src
- enabled faad2
- enabled smb support
* Sun Mar 23 2003 henne@links2linux.de
- updated to version 0.90rc5
- enabled runtime cpu detection
- removed --target and BuildArch
- removed march/mcpu from live diff
- added $RPM_OPT_FLAGS to live diff
* Mon Feb 10 2003 henne@links2linux.de
- updated version to 0.90rc4
- updated live.com libs to 2003.02.10
* Tue Feb  4 2003 henne@links2linux.de
- removed libGLcore.so.1 dependencie
- enabled blinkenlights
* Sun Jan 26 2003 henne@links2linux.de
- updated to version 0.90rc3
- enabled quicktime codecs
* Mon Jan 13 2003 henne@links2linux.de
- removed libpostproc subpackage again. created an own package
- added -Wno-deprecated to live Makefile
* Sun Jan 12 2003 henne@links2linux.de
- fixed man page bug (kudos to Bernd Leibing)
- added live.com libs (kudos to Tuukka Pasanen)
- added skins subpackage
- added libpostproc subpackage for transcode
- a little bit spec work
* Wed Dec 25 2002 henne@links2linux.de
- updated to version 0.90rc2
- beautified spec
* Sat Oct 12 2002 henne@links2linux.de
- updated to version 0.90pre8
* Sun Sep 15 2002 henne@links2linux.de
- updated to version 0.90pre7
- removed 2 patches
* Tue Aug 13 2002 henne@links2linux.de
- updated to version 0.90pre6
- reworked spec file completely
- added 2 patches
* Sat May 25 2002 henne@links2linux.de
- updated to version 0.90pre4
* Sun May  5 2002 henne@links2linux.de
- updated to version 0.90pre3
- removed patch
- enabled GUI
* Sat Oct 27 2001 waldemar@links2linux.de
- first build
